import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsHost {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 主机类型（0-nginx主机；1-应用主机；2-综合）
    * @type { number }
    */
    hostType?: number;
    /**
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 操作系统
    * @type { string }
    */
    operatinSystem?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘数量
    * @type { number }
    */
    diskNumber?: number;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 计费方式（1-包年包月；2-按量付费；）
    * @type { number }
    */
    billingWay?: number;
    /**
    * 云平台账户id
    * @type { string }
    */
    cloudAccountId?: string;
}
export declare class DevopsHostMI {
    static get ID(): FieldInfo;
    static get CLOUD_PLATFORM(): FieldInfo;
    static get REGION_ID(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get HOST_TYPE(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get OPERATIN_SYSTEM(): FieldInfo;
    static get BUSINESS_GROUP(): FieldInfo;
    static get INSTANCE_SPECIFICATIONS(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get DISK_NUMBER(): FieldInfo;
    static get RUNNING_STATE(): FieldInfo;
    static get BUY_TIME(): FieldInfo;
    static get EXPIRE_TIME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
    static get BILLING_WAY(): FieldInfo;
    static get CLOUD_ACCOUNT_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsRds {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    *
    * @type { string }
    */
    cloudAccountId?: string;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 实例类型，如只读实例、常规实例
    * @type { string }
    */
    rdsType?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 实例名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘容量
    * @type { number }
    */
    diskCapacity?: number;
    /**
    * 数据库版本
    * @type { string }
    */
    version?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 计费方式
    * @type { number }
    */
    billingWay?: number;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 数据库引擎
    * @type { string }
    */
    engine?: string;
}
export declare class DevopsRdsMI {
    static get ID(): FieldInfo;
    static get CLOUD_PLATFORM(): FieldInfo;
    static get CLOUD_ACCOUNT_ID(): FieldInfo;
    static get REGION_ID(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get RDS_TYPE(): FieldInfo;
    static get PORT(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get BUSINESS_GROUP(): FieldInfo;
    static get INSTANCE_SPECIFICATIONS(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get DISK_CAPACITY(): FieldInfo;
    static get VERSION(): FieldInfo;
    static get RUNNING_STATE(): FieldInfo;
    static get BILLING_WAY(): FieldInfo;
    static get BUY_TIME(): FieldInfo;
    static get EXPIRE_TIME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get ENGINE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface CloudAccount {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    *
    * @type { string }
    */
    accessKey?: string;
    /**
    *
    * @type { string }
    */
    secret?: string;
    /**
    *
    * @type { string }
    */
    projectId?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
}
export declare class CloudAccountMI {
    static get ID(): FieldInfo;
    static get ACCESS_KEY(): FieldInfo;
    static get SECRET(): FieldInfo;
    static get PROJECT_ID(): FieldInfo;
    static get CLOUD_PLATFORM(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsRedis {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    *
    * @type { string }
    */
    cloudAccountId?: string;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 实例类型,如标准版、集群版
    * @type { string }
    */
    redisType?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 实例名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * redis版本
    * @type { string }
    */
    version?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 计费方式
    * @type { number }
    */
    billingWay?: number;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class DevopsRedisMI {
    static get ID(): FieldInfo;
    static get CLOUD_PLATFORM(): FieldInfo;
    static get CLOUD_ACCOUNT_ID(): FieldInfo;
    static get REGION_ID(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get REDIS_TYPE(): FieldInfo;
    static get PORT(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get BUSINESS_GROUP(): FieldInfo;
    static get INSTANCE_SPECIFICATIONS(): FieldInfo;
    static get CPU(): FieldInfo;
    static get MEMORY(): FieldInfo;
    static get VERSION(): FieldInfo;
    static get RUNNING_STATE(): FieldInfo;
    static get BILLING_WAY(): FieldInfo;
    static get BUY_TIME(): FieldInfo;
    static get EXPIRE_TIME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsApp {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 应用代码
    * @type { string }
    */
    appCode?: string;
    /**
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 上下文
    * @type { string }
    */
    context?: string;
    /**
    * 应用端口
    * @type { string }
    */
    appPort?: string;
    /**
    * 监控端口
    * @type { string }
    */
    monitorPort?: string;
    /**
    * 当前版本
    * @type { string }
    */
    currentVersion?: string;
    /**
    * 健康检查url
    * @type { string }
    */
    healthUrl?: string;
    /**
    * web服务器类型：0-Tomcat；1-Node
    * @type { number }
    */
    webServer?: number;
    /**
    * 开发语言：0-JAVA；1-NodeJS
    * @type { number }
    */
    devLanguage?: number;
    /**
    * 环境编码
    * @type { string }
    */
    envCode?: string;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机IP，多个时逗号隔开
    * @type { string }
    */
    hostIp?: string;
}
export declare class DevopsAppMI {
    static get ID(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get APP_CODE(): FieldInfo;
    static get APP_TYPE(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
    static get BUSINESS_GROUP(): FieldInfo;
    static get CONTEXT(): FieldInfo;
    static get APP_PORT(): FieldInfo;
    static get MONITOR_PORT(): FieldInfo;
    static get CURRENT_VERSION(): FieldInfo;
    static get HEALTH_URL(): FieldInfo;
    static get WEB_SERVER(): FieldInfo;
    static get DEV_LANGUAGE(): FieldInfo;
    static get ENV_CODE(): FieldInfo;
    static get RUNNING_STATE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get HOST_IP(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsNginxConf {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    name?: string;
    /**
    * 初始模板文件
    * @type { string }
    */
    initConfFile?: string;
    /**
    * 目标配置文件
    * @type { string }
    */
    prodConfFile?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class DevopsNginxConfMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get INIT_CONF_FILE(): FieldInfo;
    static get PROD_CONF_FILE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsTaskApp {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 任务id
    * @type { string }
    */
    taskId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 升级顺序
    * @type { number }
    */
    sortIndex?: number;
    /**
    * 当前版本
    * @type { string }
    */
    oldVersion?: string;
    /**
    * 升级版本
    * @type { string }
    */
    newVersion?: string;
    /**
    * 升级状态（0-升级；1-回滚）
    * @type { number }
    */
    runState?: number;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class DevopsTaskAppMI {
    static get ID(): FieldInfo;
    static get TASK_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get SORT_INDEX(): FieldInfo;
    static get OLD_VERSION(): FieldInfo;
    static get NEW_VERSION(): FieldInfo;
    static get RUN_STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsTemplateNginx {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否切换流量
    * @type { number }
    */
    enabled?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsHost
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class DevopsTemplateNginxMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get ENABLED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsTemplateApp {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 升级顺序
    * @type { number }
    */
    sortIndex?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in DevopsApp
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * extend field in DevopsApp
    * 应用类型：0-deamon应用；1-web应用
    * @type { number }
    */
    appType?: number;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class DevopsTemplateAppMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get SORT_INDEX(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get APP_TYPE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsTask {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 任务名称
    * @type { string }
    */
    taskName?: string;
    /**
    * 模板id
    * @type { number }
    */
    templateId?: number;
    /**
    * 是否定时任务（0-是；1-不是）
    * @type { boolean }
    */
    timingTask?: boolean;
    /**
    * 跳过Nginx（0-跳过；1-不跳过）
    * @type { boolean }
    */
    skipNginx?: boolean;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 执行人
    * @type { string }
    */
    operatorUserId?: string;
    /**
    * 执行时间
    * @type { Date }
    */
    planTime?: Date;
    /**
    * 运行状态（0-未运行；1-运行中；2-运行成功；3-运行失败；4-已回滚；5-已取消；6-等待中；7-回滚中）
    * @type { number }
    */
    runState?: number;
    /**
    * 任务描述
    * @type { string }
    */
    taskDesc?: string;
    /**
    * 创建人id
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class DevopsTaskMI {
    static get ID(): FieldInfo;
    static get TASK_NAME(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get TIMING_TASK(): FieldInfo;
    static get SKIP_NGINX(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
    static get BUSINESS_GROUP(): FieldInfo;
    static get OPERATOR_USER_ID(): FieldInfo;
    static get PLAN_TIME(): FieldInfo;
    static get RUN_STATE(): FieldInfo;
    static get TASK_DESC(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsTemplate {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板名称
    * @type { string }
    */
    templateName?: string;
    /**
    * 升级时间（0-夜间升级，1-白天升级）
    * @type { number }
    */
    upgradeTime?: number;
    /**
    * 任务描述
    * @type { string }
    */
    templateDesc?: string;
    /**
    * 分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * Nginx模板id
    * @type { string }
    */
    nginxConfId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 创建人id
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人id
    * @type { string }
    */
    updateUserId?: string;
    /**
    * extend field in DevopsNginxConf
    * 模板名称
    * @type { string }
    */
    nginxConfName?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class DevopsTemplateMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_NAME(): FieldInfo;
    static get UPGRADE_TIME(): FieldInfo;
    static get TEMPLATE_DESC(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
    static get BUSINESS_GROUP(): FieldInfo;
    static get NGINX_CONF_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get NGINX_CONF_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-02-18 15:54
 */
export interface DevopsTemplateHost {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 是否选中升级
    * @type { number }
    */
    enabled?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * extend field in DevopsHost
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * extend field in DevopsHost
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * extend field in DevopsHost
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class DevopsTemplateHostMI {
    static get ID(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get ENABLED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get IP(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get BUSINESS_AREA(): FieldInfo;
}
